Subject: Re: bug#56154: 29.0.50; TAB in message-mode "To" header produces error

From: Thomas Fitzsimmons <[email-masked]>
Date: Fri, 24 Jun 2022 14:22:17 -0400

Hi Pankaj,

Pankaj Jangid <[email-masked]> writes:

> Pankaj Jangid <[email-masked]> writes:
>
>> Prerequisite: Remove (move) any bbdb related files from ~/.emacs.d (or
>> equivalent). Because that is default.
>>
>> Steps:
>>
>> 1. emacs -Q
>> 2. (setq debug-on-error t)
>> 3. C-x m
>> 4. Type a few letters and the press TAB for completion
>>
>> Output:
>>
>> Debugger entered--Lisp error: (file-missing "Cannot open load file" "No such file or directory" "bbdb")
>>   require(bbdb)
>
> Sorry for the noise. I had following in my "~/.emacs.d/eudc-options",
>
> ;; This file was automatically generated by eudc.el.
>
> (provide 'eudc-options-file)
> (eudc-set-server "localhost" 'macos-contacts t)
> (setq eudc-server-hotlist '(("" . bbdb)))
>
> closing this bug.

Thanks for the bug report; I have a plan to deprecate
`eudc-options-file'.  I think EUDC should just use Customize.

Thomas